/* Main Slider */
.main-slider {
  margin-top: calc(-1 * var(--content-top-space));
  margin-bottom: calc(var(--block-space) + 53px);
  background-color: var(--white-color);
}

.main-slider__item {
  position: relative;
  display: block;
  text-decoration: none;
  overflow: hidden;
  background-size: 100% 100%;
  background-repeat: no-repeat;
  height: 590px;
}

.main-slider__item + .main-slider__item {
  display: none;
}

.main-slider__bg {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background-position: center top;
  background-repeat: no-repeat;
  background-size: cover;
}

.main-slider__video,
.main-slider__video .video {
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
}

.main-slider__video .video:before {
  display: none;
}

.main-slider__item .container,
.main-slider__inner {
  height: 100%;
}

.main-slider__inner {
  position: relative;
  display: flex;
  align-items: center;
  padding: 0 60px;
}

.main-slider__content {
  flex-grow: 1;
  min-width: 0;
  font-size: 20px;
  line-height: 1.5;
}

.main-slider__content .h1 {
  word-wrap: break-word;
  margin-bottom: 26px;
}

.main-slider__content .h1 strong {
  font-weight: 500;
  color: var(--accent-color);
}

.main-slider__content p {
  margin: 0;
}

.main-slider__content .btn {
  margin-top: 10px;
  display: none;
}

.main-slider__image {
  flex-shrink: 0;
  display: none;
  align-items: center;
  justify-content: flex-start;
}

.main-slider__image img {
  width: auto;
  height: auto;
  max-width: 100%;
  max-height: 100%;
}

.main-slider .slick-dots {
  position: absolute;
  left: 0;
  right: 0;
  top: 100%;
}

.main-slider .slick-prev {
  left: 10px;
}

.main-slider .slick-next {
  right: 10px;
}

@media (max-width: 1199.98px) {
  .main-slider__item {
    height: 400px;
  }

  .main-slider__content {
    font-size: 18px;
  }
}

@media (max-width: 991.98px) {
  .main-slider__inner {
    flex-direction: column;
    justify-content: center;
    align-items: center;
  }

  .main-slider__content {
    flex-grow: 0;
    font-size: 16px;
  }

  .main-slider__content .h1 {
    margin-bottom: 16px;
  }
}

@media (max-width: 767.98px) {
  .main-slider__item {
    height: 460px;
  }

  .main-slider__inner {
    padding-left: 0;
    padding-right: 0;
  }

  .main-slider .slick-arrow {
    display: none !important;
  }

  .main-slider .slick-dots {
    top: auto !important;
    bottom: 10px;
    margin: 0;
  }
}
/* ! Main Slider */

/* Main Slider 1 */
.main-slider_type_1 .main-slider__inner {
  padding-left: 0;
  padding-right: 0;
  column-gap: 40px;
}

.main-slider_type_1 .main-slider__content {
  width: 100%;
  max-width: 760px;
  padding-bottom: 90px;
}

.main-slider_type_1 .main-slider__image {
  align-self: stretch;
  display: flex;
  width: 56%;
}

.main-slider_type_1 .main-slider__image img {
  display: block;
  height: 100%;
  width: auto;
  max-width: 100%;
  object-fit: cover;
  margin-left: auto;
}

.main-slider_type_1 .slick-arrow {
  top: auto;
  left: 20px;
  right: auto;
  margin: 0;
  bottom: 40px;
  --fill: var(--second-color);
  border-color: var(--header-active-bg);
  background-color: transparent;
}

.main-slider_type_1 .slick-arrow:hover {
  background-color: var(--header-active-bg);
}

.main-slider_type_1 .slick-prev {
  margin-right: 55px;
}

.main-slider_type_1 .slick-arrow {
  left: 50%;
  margin-left: -640px;
}

.main-slider_type_1 .slick-next {
  margin-left: -558px;
}

@media (max-width: 1399.98px) {
  .main-slider_type_1 .main-slider__inner {
    column-gap: 20px;
  }

  .main-slider_type_1 .main-slider__image {
    width: 50%;
  }

  .main-slider_type_1 .slick-arrow {
    margin-left: -560px;
  }

  .main-slider_type_1 .slick-next {
    margin-left: -480px;
  }
}

@media (max-width: 1199.98px) {
  .main-slider_type_1 .slick-arrow {
    display: none !important;
  }
}

@media (max-width: 991.98px) {
  .main-slider_type_1 .main-slider__image {
    display: none;
  }
}

@media (max-width: 767.98px) {
  .main-slider_type_1 .main-slider__inner {
    justify-content: flex-end;
  }

  .main-slider_type_1 .main-slider__bg {
    background-position: 69% 0;
  }

  .main-slider_type_1 .main-slider__bg:after {
    content: "";
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    top: 0;
    background: linear-gradient(
      180deg,
      rgba(255, 255, 255, 0) 45%,
      rgba(255, 255, 255, 0.8) 100%
    );
  }

  .main-slider_type_1 .main-slider__content {
    position: relative;
    padding-bottom: 20px;
  }

  .main-slider_type_1 .slick-dots {
    margin: 0;
    top: 100% !important;
    bottom: auto !important;
  }
}
/* ! Main Slider 1 */

/* Main Slider 2 */
.main-slider_type_2 .main-slider__content {
  max-width: 760px;
  margin-left: auto;
  margin-right: auto;
  text-align: center;
}

.main-slider_type_2 .main-slider__content p {
  margin-left: auto;
  margin-right: auto;
}

.main-slider_type_2 .slick-dots {
  top: auto !important;
  bottom: 24px;
  margin: 0;
}

@media (min-width: 1400px) {
  .main-slider_type_2 .slick-prev {
    left: 50%;
    margin-left: -640px;
  }

  .main-slider_type_2 .slick-next {
    right: 50%;
    margin-right: -640px;
  }
}

@media (max-width: 767.98px) {
  .main-slider_type_2 .slick-dots {
    bottom: 10px;
  }

  .main-slider_type_2 .main-slider__content {
    max-width: 100%;
  }
}
/* ! Main Slider 2 */

/* Main Slider Full Width */
.main-slider_type_full-width {
  margin-bottom: var(--block-space-lg);
}

.main-slider_type_full-width .slick-dots {
  position: absolute;
  left: 0;
  right: 0;
  top: auto;
  bottom: 20px;
  margin: 0;
}

.main-slider_type_full-width .main-slider__inner {
  padding-left: 113px;
  padding-right: 170px;
  justify-content: space-between;
}

.main-slider_type_full-width .main-slider__content {
  max-width: 560px;
}

.main-slider_type_full-width .main-slider__image {
  display: flex;
  align-items: flex-end;
  justify-content: flex-end;
  align-self: stretch;
  max-width: calc(100% - 560px);
}

.main-slider_type_full-width .slick-arrow {
  color: #fff;
  background: none;
}

.main-slider_type_full-width .slick-arrow:hover {
  --fill: #fff;
}

.main-slider_type_full-width .slick-prev {
  left: 86px;
}

.main-slider_type_full-width .slick-next {
  right: 86px;
}

@media (max-width: 1899.98px) {
  .main-slider_type_full-width .main-slider__inner {
    padding-left: 113px;
    padding-right: 113px;
  }

  .main-slider_type_full-width .slick-prev {
    left: 40px;
  }

  .main-slider_type_full-width .slick-next {
    right: 40px;
  }
}

@media (max-width: 1399.98px) {
  .main-slider_type_full-width .main-slider__inner {
    padding-left: 100px;
    padding-right: 100px;
  }

  .main-slider_type_full-width .main-slider__image {
    max-width: 50%;
  }

  .main-slider_type_full-width .slick-prev {
    left: 20px;
  }

  .main-slider_type_full-width .slick-next {
    right: 20px;
  }
}

@media (max-width: 991.98px) {
  .main-slider_type_full-width .main-slider__inner {
    justify-content: center;
  }

  .main-slider_type_full-width .main-slider__image {
    display: none;
  }
}

@media (max-width: 767.98px) {
  .main-slider_type_full-width .main-slider__inner {
    padding-left: 0;
    padding-right: 0;
  }

  .main-slider_type_full-width .slick-dots {
    bottom: 10px;
  }
}
/* ! Main Slider Full Width */
